local use_google = require("utils").use_google

return {
  {
    "yetone/avante.nvim",
    build = "make",
    enable = true,
    commit = "f9aa754",  -- See g/avante-goose-users/c/h1eEYWBDW3k/m/6RGK2B89AAAJ
    dependencies = {
      "nvim-treesitter/nvim-treesitter",
      "stevearc/dressing.nvim",
      "nvim-lua/plenary.nvim",
      "MunifTanjim/nui.nvim",
      -- Add vintharas/avante-goose.nvim as a dependecy to avante.nvim
      -- That'll ensure that you'll load avante-goose when you load avante.
      {
        "vintharas/avante-goose.nvim",
        url = "sso://user/vintharas/avante-goose.nvim",
        cond = use_google(),
        opts = {
          -- Add your options here
          -- These are the defaults
          auto_start_backend = true, -- Whether to automatically start go/devai-api-http-proxy. If false you can use :AvanteGooseServerStart to start the server
          auto_start_silent = true, -- Whether to have a silent auto start (don't log status messages)
          model = 'goose-v3.5-s',    -- Select model from go/goose-models.
          temperature = 0.1,         -- Model temperature
          max_decoder_steps = 8192, -- Maximum decoder steps (This affects the token limit of the output. More decoder steps -> higher limit in output tokens)
          endpoint = 'http://localhost:8080/predict', -- Endpoint to start/listen to go/devai-api-http-proxy
          debug = false, -- Enables debug mode (outputs lots of logs for troubleshooting issues)
          debug_backend = false, -- Whether to start the backend in debug mode. This logs backend output information under stdpath('cache')/devai-http-wrapper.log
        },
      },
    },
    opts = {
      provider = "goose", -- Select goose as provider
      vendors = {}, -- Makes sure there's a vendors table
    },
    config = function(_, opts)
      -- Load provider from the plugin
      opts.vendors["goose"] = require("avante-goose").getProvider()
      require("avante").setup(opts)
    end,
  },
}
